Bug 242266 - Scrolled background is "garbaged".
Scrolled background is "garbaged".
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 16:38 EDT by Dams
Modified: 2009-05-18 07:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 07:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (71.67 KB, text/plain)
2007-06-02 16:38 EDT, Dams
no flags Details
xorg.conf (568 bytes, text/plain)
2007-06-02 16:39 EDT, Dams
no flags Details
Nautilus file browser with scrolled window (275.27 KB, image/png)
2007-06-10 18:15 EDT, John Conroy
no flags Details
Ogg screencast of Nautilus browser window (529.60 KB, application/ogg)
2007-06-11 00:17 EDT, John Conroy
no flags Details
Nautilus file browser scrolling background image bug (184.84 KB, image/png)
2008-03-24 20:42 EDT, John Conroy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 120858 None None None Never

  None (edit)
Description Dams 2007-06-02 16:38:27 EDT
How reproducible: Always.

Steps to Reproduce:
1. Open a nautilus windows too small for its content (-> it has a scroll bar)
2. Scroll.
  
Actual results: http://livna.org/~anvil/Capture-etc.png
The background pattern is replaced by another part of my screen.

Additional info:
Video hardware is :

01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(rev 01) (prog-if 00 [VGA])
        Subsystem: PC Partner Limited Unknown device 0260
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 9000 [size=256]
        Region 2: Memory at ed010000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at ec000000 [disabled] [size=128K]
        Capabilities: [58] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW+ AGP3+ Rate=x4,x8
                Command: RQ=32 ArqSz=2 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(Secondary) (rev 01)
        Subsystem: PC Partner Limited Unknown device 0261
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Region 0: Memory at e0000000 (32-bit, prefetchable) [disabled] [size=128M]
        Region 1: Memory at ed000000 (32-bit, non-prefetchable) [disabled]
[size=64K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

I'm reporting that against nautilus, since it only happens with nautilus, but it
really sounds like an X11 driver bug. Feel free to re-assign.

I'll attach xorg.conf and Xorg.0.log. There's nothing in dmesg.
Comment 1 Dams 2007-06-02 16:38:27 EDT
Created attachment 155995 [details]
Xorg.0.log
Comment 2 Dams 2007-06-02 16:39:10 EDT
Created attachment 155996 [details]
xorg.conf
Comment 3 Dams 2007-06-02 16:44:07 EDT
If it matters, the gconf keys apps/nautilus/preferences/background_set and
apps/nautilus/preferences/background_filename are respectively set to "True" and
"/usr/share/backgrounds/tiles/Totally-New-Product-1.jpg".
Comment 4 Dams 2007-06-02 16:44:48 EDT
(and i'm no fedora7, not core 6).
Comment 5 Dams 2007-06-02 16:45:14 EDT
(s/no/on)
Comment 6 Dams 2007-06-05 15:41:59 EDT
As Mike Harris requested me to do, I've tested that with an i386 OS. I've booted
the fedora 7 live CD and I confirm the same bug using it. 

Someone with an ATI x600se has also confirmed the bug on his system :
http://kwizart.free.fr/fedora/files/Capture.png

And since someone using an Intel video chip has *not* confirmed the bug, I'm
changing the component to xorg-x11-drv-ati.
Comment 7 John Conroy 2007-06-09 10:00:49 EDT
I'm using Livna's proprietary nVidia driver and experience the same issues... 
Must not be driver related?
Comment 8 John Conroy 2007-06-09 10:05:50 EDT
Forgot to mention - F7/x86_64/nVidia
Comment 9 Matěj Cepl 2007-06-09 18:47:25 EDT
John, could you post a screenshot of how it represents itself on nVidia? (not
that we would fix your binary driver, but this may go back to nautilus component
after all).
Comment 10 John Conroy 2007-06-10 18:15:50 EDT
Created attachment 156676 [details]
Nautilus file browser with scrolled window

Nautilus with a scrolled window...F7/x86_64/nVidia->livna/Beryl/Emerald
Comment 11 John Conroy 2007-06-11 00:17:58 EDT
Created attachment 156680 [details]
Ogg screencast of Nautilus browser window

Also occurs when switching from View as Icons to List and back to Icons...even
if window doesn't have a scrollbar.
Comment 13 Ben Caradoc-Davies 2007-07-28 22:08:46 EDT
If I set a background image for Nautilus as described, I see the same
corruption. In addition, I see severe screen corruption with scrolling
gnome-terminal, just like that reported by another user for Ubuntu Feisty 6.6.3:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/99288

I suspect these might be different manifestations of the same bug. Note that for
gnome-terminal, the text is corrupted while scrolling even if no background is
set. The corruption appears to be chunks of bitmaps from other applications and
other portions of the scrolling terminal.

I am using Fedora 7 x86_64 with xorg-x11-drv-ati-6.6.3-4.fc7.x86_64, a Radeon
9250 AGP, detected as a RV280 [Radeon 9200 PRO] with the "radeon" driver.
Comment 14 Ben Caradoc-Davies 2007-07-28 22:23:28 EDT
It is worth noting that this bug was not present (for gnome-terminal [did not
test nautilus]) in FC6 with

xorg-x11-drv-ati-6.6.3-1.fc6.x86_64
kernel-2.6.20-1.2962.fc6.x86_64

The bug appeared as soon as I upgraded to Fedora 7 and 

xorg-x11-drv-ati-6.6.3-4.fc7.x86_64
kernel-2.6.21-1.3228.fc7.x86_64

and is still present with kernel-2.6.22.1-33.fc7.x86_64 .
Comment 15 Ben Caradoc-Davies 2007-08-04 22:26:45 EDT
'Option "RenderAccel" "Off"' appears to fix the gnome-terminal corruption but
does not fix the nautilus corruption described in the original report (switching
view icons-> list -> icons is the best way to reproduce this).
Comment 16 Dams 2007-08-05 09:12:53 EDT
I can confirm disabling RenderAccel doesnt fix the problem.
Comment 17 Dams 2007-08-26 17:02:24 EDT
At last, I have graphical corruption with something else than nautilus. I was
trying to resize a gnome card game : http://livna.org/~anvil/Capture-GnomeGame.jpg

Restart that card game hasnt helped. The window was in the state you can see in
the window shot. Resizing it *big* cleaned the game window until i attempted to
play.

Right after, nautilus whole desktop became 'garbaged' too. Selecting items made
them readable. xrefresh was no help : i saw the refresh pass, but it stayed
garbaged.

This is really annoying now.

Also *could* or not be related : I'm a galeon user and and killing it doesn't
seem to free all the memory it was using.
Comment 18 Dams 2007-11-10 13:19:31 EST
Hm. The bug is also in Fedora 8... and using the ATI proprietary fglrx driver
too o_O
Comment 19 Pekka Pietikäinen 2007-11-16 13:20:55 EST
Was going to open a new bug, but the RenderAccel = "off" fixed gnome-terminal
corruption on my 
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
(self-compiled xorg-x11-drv-ati-6.7.196, 195 had it too). Problems started
occurring between F7 and F8, and did not happen immediately after starting up X,
after a few hours it started happening. Corruption looks similar to screenshots
provided (e.g. parts of a firefox window showing up as a 3cm tall "bar" spanning
g-t window)

Option "AccelMethod" "EXA" appeared to fix things too, but then there was
another kind of corruption which left boxes around icons selected on the desktop
(and some odd slowness all around), so that wasn't really a cure either...

No nautilus scroll issues here. Running F8/i386.
Comment 20 Dams 2007-11-16 14:35:08 EST
Not the same problem i think. Since rederaccel=off doesnt fix the issue with
nautilus, and that i've never seen corruption with gnome-terminal.
Comment 21 John Conroy 2008-03-24 20:42:18 EDT
Created attachment 298959 [details]
Nautilus file browser scrolling background image bug

Similar problems in Fedora 8 on different PC...i386/F8/ATI Radeon Xpress
200/fglrx...exact same issue...
Comment 22 Bug Zapper 2008-11-26 02:16:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Dams 2008-11-26 13:30:52 EST
Still a problem in fedora 9.
Comment 24 François Cami 2009-02-07 09:58:12 EST
Dams,
Could you try in Fedora 10 without any xorg.conf ; and if the bug is still present, please attach screenshots directly to this bug report. Full dmesg output and /var/log/Xorg.0.log as uncompressed text attachments to this bug would help, too.
Thanks.
Comment 25 Matěj Cepl 2009-03-07 15:22:19 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 26 Ben Caradoc-Davies 2009-03-07 17:53:34 EST
A similar problem is reported as fixed in Hardy Heron:
https://bugs.launchpad.net/ubuntu/+source/vte/+bug/120858
Comment 27 Matěj Cepl 2009-05-18 07:45:05 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.